GroupField(3pm)

NAME
Lire::GroupField - Class that implements the field element in report specifications.

SYNOPSIS
    use Lire::GroupField;

DESCRIPTION
This module is used to represent the field elements that appears in the group aggregator element in report specifications.

CONSTRUCTOR

  new( %params )
Creates a new Lire::GroupField object. It takes several parameters similar to Lire::ReportOperator.

name
    The DLF field's name that this GroupField represents. This shouldn't be quantity or time field (other aggregators should be used for these).

report_spec
    The report specification in which this the group field is added.

label
    The column's label that should be used for this field.

  name()
Returns the DLF field name which we represent.

  label( [$new_label] )
Returns the label that should be used for the column we generate in the report. Default is to use the DLF field's label.

It can be changed by passing a $new_label parameter.

  field()
Returns the DLF field which we represents as Lire::Field object.

SEE ALSO
Lire::Group(3pm)

AUTHORS
  Francis J. Lacoste <flacoste@logreport.org>
  Wolfgang Sourdeau <wolfgang@logreport.org>

VERSION
$Id: GroupField.pm,v 1.19 2006/07/23 13:16:29 vanbaal Exp $

COPYRIGHT
Copyright (C) 2001-2004 Stichting LogReport Foundation LogReport@LogReport.org

This file is part of Lire.

Lire is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html.